Productsup
CDE APIApi referenceVersions

Delete a connector that was moved to bin.

Sign in to run requests against the CDE API.
DELETE
/connectors/{movedToBinPublicId}/versions/{connectorVersion}

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

movedToBinPublicId*string
Formatuuid
connectorVersion*string
Match^main|latest|\d+$

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string"
{
  "message": "Connector version will be permanently deleted in the background.",
  "data": {
    "state": {
      "uuid": "3cbce613-2e55-4ce2-8aa2-236e83b3f417"
    }
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}
{
  "message": "Connector not found."
}

How is this guide?